<html>
<head>

    <title>GSNv3 Test</title>

    <script src="bundle.js">
    </script>

</head>
<body>
<h2>GSN Merkle distributor Test App</h2>

<script>
    window.app.initContract().then(function ({contractAddress, network}) {
        console.log('CaptureTheFlag contract', contractAddress)
        console.log(`identified network: ${JSON.stringify(network)}`)
        document.getElementById('capture_button').disabled = false
    })
</script>

<div>
    <input type="text" id="merkle_address" value="" />
    <ul>
        <p>Use these addresses for claim</p>
        <li>0x0601ABB6683fC05CFAE5b282461863526866bf62</li>
        <li>0x0E420425dA49F91F9689fe629E89759d9870Ae08</li>
        <li>0x12f08091f9486a62bf80e4002d7B7c84eE06839c</li>
        <li>0x1435B500Dd67Aca104E7E6b67A7143AdE3E8b8fb</li>
        <li>0x1E8853807D7ACA77615bEf5DaEde51DdaEF0423F</li>
        <li>0x20d4023e619644a51e39E4E68EDdcfB1FcaEb374</li>
    </ul>
    <button id="capture_button" onClick="window.app.contractCall()">
        Claim tokens
    </button>
</div>


<hr>
<div id="logview"></div>
</body>
</html>
